function [Ke,fe] = Elementstiff_Full_Newton( L, Qm1, Qm2, Pm1, Pm2, A, Ca, nvec,dqndx,Qn1,k,rho,mu )
%ELEMENTSTIFF 

La = rho./A;

dtaudx = [-8*mu*Qn1(1,1,:)*pi./(A(1,1,:).^2);
          -8*mu*Qn1(1,2,:)*pi./(A(1,2,:).^2)];
      
Fe = [k(1)*Ca(1,1,:).*L(1,1,:)/2 k(1)*Ca(1,2,:).*L(1,1,:)/2 ; ...
    -ones(1,1,size(nvec,3)) ones(1,1,size(nvec,3))];

Ge = [-ones(1,1,size(nvec,3)) ones(1,1,size(nvec,3)) ; ...
    k(1)*La(1,1,:).*L(1,1,:)/2 k(1)*La(1,2,:).*L(1,1,:)/2];

X(1,1,:) = dtaudx(1,1,:) - La(1,1,:).*dqndx(1,1,:);
X(2,1,:) = dtaudx(2,1,:) - La(1,2,:).*dqndx(1,2,:);

he=[zeros(1,1,size(nvec,3))+...
    Ca(1,1,:).*L(1,1,:)/2.*(-k(2)*Pm1(1,1,:)-k(3)*Pm2(1,1,:))+...
    Ca(1,2,:).*L(1,1,:)/2.*(-k(2)*Pm1(1,2,:)-k(3)*Pm2(1,2,:)); ...
    (X(1,1,:)+X(2,1,:)).*L(1,1,:)/2+...
    La(1,1,:).*L(1,1,:)/2.*(-k(2)*Qm1(1,1,:)-k(3)*Qm2(1,1,:))+...
    La(1,2,:).*L(1,1,:)/2.*(-k(2)*Qm1(1,2,:)-k(3)*Qm2(1,2,:))];
%% Stiffness matrices
Ke=[(-Ge(2,2,:).*Fe(1,1,:)+ Ge(1,2,:).*Fe(2,1,:))./(Ge(1,1,:).*Ge(2,2,:)-Ge(2,1,:).*Ge(1,2,:)),...
    (-Ge(2,2,:).*Fe(1,2,:)+ Ge(1,2,:).*Fe(2,2,:))./(Ge(1,1,:).*Ge(2,2,:)-Ge(2,1,:).*Ge(1,2,:));...
   (-Ge(2,1,:).*Fe(1,1,:)+ Ge(1,1,:).*Fe(2,1,:))./(Ge(1,1,:).*Ge(2,2,:)-Ge(2,1,:).*Ge(1,2,:)),...
   (-Ge(2,1,:).*Fe(1,2,:)+ Ge(1,1,:).*Fe(2,2,:))./(Ge(1,1,:).*Ge(2,2,:)-Ge(2,1,:).*Ge(1,2,:))];
%% Force vectors                           
fe=[(-Ge(2,2,:).*he(1,1,:)+ Ge(1,2,:).*he(2,1,:))./(Ge(1,1,:).*Ge(2,2,:)-Ge(2,1,:).*Ge(1,2,:));
    (-Ge(2,1,:).*he(1,1,:)+ Ge(1,1,:).*he(2,1,:))./(Ge(1,1,:).*Ge(2,2,:)-Ge(2,1,:).*Ge(1,2,:))];  
                             
      
end

